Subject: RE: [Tsvwg] Re: IETF process concerning missed RFC dependencies?

From: Lars Eggert <[email-masked]>
Date: Wed, 13 Jun 2007 10:28:41 +0300 (EEST)

Hi,

before we move forward with anything, let's figure out what exactly the inconsistency is and what the history is.

Is the change to ECN in RFC4301 technically correct, or does it cause incorrect ECN processing? In other words, are we talking about a missing "updates" dependency, or are we talking about a technical error in the ECN handling in RFC4301?

What we need to do depends on which case we're talking about.

Lars 

> -----Original Message-----
> From: ext Bob Briscoe
> Received: Tue Jun 12 20:17:14 EEST 2007
> To: Bob Braden
> Cc: Lars Eggert, WESTERLUND, Magnus, tsvwg IETF list
> Subject: Re: [Tsvwg] Re: IETF process concerning missed RFC  dependencies?
> 
> Bob,
> 
> At 17:23 12/06/2007, Bob Braden wrote:
> >>>Bob Briscoe:
> >>>My question: If an RFC has been published in the past that updates
> >>>another RFC, but the dependency wasn't noticed at the time, can the
> >>>dependency 'just' be added to the RFC index?
> >
> >
> >The intent is to keep the most current and correct information in the
> >index, so the answer to the question is "yes", a dependency noted
> >later can and should be added to the index.  Just send email to
> >the RFC Editor.
> 
> That's useful to know.
> 
> It will possibly complicate matters even further to just baldly say RFC4301 
> (IPsec) updates RFC3168 (ECN), as RFC4301 doesn't clarify what bits of 
> RFC3168 it updates and what it doesn't.
> 
> So, rather than emailing the RFC Editor to say this right now, I'll post 
> the I-D describing the contradiction between the two RFCs first, then we 
> can have a discussion on the list about what to do, and also in Chicago.
> 
> However, we could certainly tell the RFC Editor that both RFC3168 and 
> RFC4301 update RFC2003 (IP in IP tunneling), a dependency which I also 
> noticed isn't identified in the RFC Index. Anyone see any objection to that?
> 
> 
> Two Bob
> 
> 
> 
> ____________________________________________________________________________
> Bob Briscoe, <[email-masked]>      Networks Research Centre, BT Research
> B54/77 Adastral Park,Martlesham Heath,Ipswich,IP5 3RE,UK.    +44 1473 645196 
> 
> 
> 
> 
>

---

From: Bob Briscoe <[email-masked]>
Date: Sat, 16 Jun 2007 23:32:10 +0100

Lars,

Status update...

>Date: Wed, 13 Jun 2007 09:07:00 +0100
>To: Lars Eggert <[email-masked]>
>From: Bob Briscoe <[email-masked]>
>Subject: RE: [Tsvwg] Re: IETF process concerning missed RFC  dependencies?
>Cc: [email-masked], [email-masked], [email-masked], 
>[email-masked]
>
>>2/ As I said and you said, I don't believe the contradictions between 
>>3168 & 4301 can or should be solved by just updating the RFC index. 
>>That's why I've written a draft-I-D (to be posted as an I-D by end of 
>>this week when my co-authors have had a chance to refine it).

David Black (co-author) needs more time. Prob another week, but definitely 
before -00 cut-off in fortnight.

I've made a huge effort to make sure there are no changes to the security 
of the protocol, but David wants to make sure that message is put so 
unambiguously that the security community won't get unnecessarily concerned.

Bob

____________________________________________________________________________
Notice: This contribution is the personal view of the author and does not 
necessarily reflect the technical nor commercial direction of BT plc.
____________________________________________________________________________
Bob Briscoe,                           Networks Research Centre, BT Research
B54/77 Adastral Park,Martlesham Heath,Ipswich,IP5 3RE,UK.    +44 1473 645196

---

From: Bob Briscoe <[email-masked]>
Date: Sat, 30 Jun 2007 10:34:09 +0100

Lars, James,

I've just posted the new initial I-D on ECN tunnelling to internet drafts. 
It turned out David Black didn't have time to contribute text (he will in 
the next cycle), but he's helped a lot with my understanding of the history 
on this.

I won't ask for any dependency updates until after it's all been discussed 
in Chicago, even tho one at least seems straightforward (3168 updates 2003).

Next mail will be a forward of the mail I sent to internet drafts giving 
URL etc.

Cheers

Bob

Bob